import SkribblClient from "./SkribblClient.js";

/**
 * Custom element `<skribbl-player-list>` for the player list that appears in the lobby of a game.
 */
export default class SkribblPlayerList extends HTMLElement {
	/**
	 * Constructs a new SkribblPlayerList for the given client. The list is automatically updated as players join and leave.
	 * @param {SkribblClient} client
	 */
	constructor(client){
		super();
		this.attachShadow({mode:"open"});
		this.shadowRoot.innerHTML = `
			<style>
				:host {
					display: block;
					margin: 10px;
					color: #ffffff;
					text-shadow: 0 0 5px #00000080;
				}
			</style>
			Players: <span></span>
		`;
		this._span = this.shadowRoot.querySelector("span");
		client.onPlayersListChange(players=>{
			this._span.innerHTML = players.join(", ");
		});
	}
}
customElements.define("skribbl-player-list",SkribblPlayerList);